libsigc++: sigc::track_obj_functor< T_functor, T_obj > Class Template Reference

libsigc++ 3.4.0

Public Member Functions | List of all members
sigc::track_obj_functor< T_functor, T_obj > Class Template Reference
Adaptors » track_obj(), track_object()

track_obj_functor wraps a functor and stores a reference to a trackable object. More...

`#include <sigc++/adaptors/track_obj.h>`

Inheritance diagram for sigc::track_obj_functor< T_functor, T_obj >:
[legend]

## Public Member Functions
| track_obj_functor (const T_functor & func, const T_obj &... obj)
| Constructs a track_obj_functor object that wraps the passed functor and stores a reference to the passed trackable objects. More...
template<typename... T_arg>
decltype(auto) | operator() (T_arg &&... arg)
| Invokes the wrapped functor passing on the arguments. More...
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor & functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

template<typename T_functor, typename... T_obj>
class sigc::track_obj_functor< T_functor, T_obj >

track_obj_functor wraps a functor and stores a reference to a trackable object.

Use the convenience function track_object() to create an instance of track_obj_functor.

track_obj() is a deprecated alternative to track_object().

Template Parameters

  T_functor | The type of functor to wrap.
  T_obj | The types of the trackable objects.

Since libsigc++ 2.4:

## Constructor & Destructor Documentation

## ◆ track_obj_functor()

template <typename T_functor , typename... T_obj>

sigc::track_obj_functor< T_functor, T_obj >::track_obj_functor | ( | const T_functor & | func,
|  | const T_obj &... | obj
| ) |  |
| inlineexplicit

Constructs a track_obj_functor object that wraps the passed functor and stores a reference to the passed trackable objects.

Parameters

  func | Functor.
  obj | Trackable objects.

## Member Function Documentation

## ◆ operator()()

template <typename T_functor , typename... T_obj>
template <typename... T_arg>

decltype(auto) sigc::track_obj_functor< T_functor, T_obj >::operator() | ( | T_arg &&... | arg | ) |
| inline

Invokes the wrapped functor passing on the arguments.

Parameters

  arg | Arguments to be passed on to the functor.

Returns
  The return value of the functor invocation.